--------------------------------------------------------------------------------------------------
-- File lua for Markindel and Stonehouse DC3
--------------------------------------------------------------------------------------------------

mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_texture_path  (current_mod_path.."/Textures/DC3.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/DC3_NewTextures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/")
mount_vfs_sound_path (current_mod_path.."/Sounds")



DC3 = 
{
	Name 				=   'DC3',
	DisplayName			= _('DC3'),
--	HumanCockpit 		= false,
	Picture 				= current_mod_path..'/Textures/DC3.png',
	Rate 				= 40, -- RewardPoint in Multiplayer
	singleInFlight = true,
	Shape 				= "DC3",
	shape_table_data 	= 
	{
		{
			file  	 = 'DC3';
			life  	 = 60; -- lifebar
			vis   	 = 3; -- visibility gain.
			desrt    = 'DC3_oblomki'; -- Name of destroyed object file name
			fire  	 = { 500, 4}; -- Fire on the ground after destoyed: 500sec 4m
			username = 'DC3';
			index    =  WSTYPE_PLACEHOLDER;
			classname 	= "lLandPlane";
			positioning = "BYNORMAL";
			drawonmap 	= true;
		},
		{
			name  = "DC3_oblomki";
			file  = "DC3-oblomki";
			fire  = { 500, 4};
		},

	},
	mapclasskey = "P0091000029",
	attribute  			= {wsType_Air, wsType_Airplane, wsType_Cruiser, WSTYPE_PLACEHOLDER , "Transports",},
	Categories 			= {},

	-------------------------
	M_empty 					= 7650, -- kg
	M_nominal 					= 10705, -- kg
	M_max 						= 11430, -- kg
	M_fuel_max 					= 1094, -- kg
	length 						= 19.65, -- full length in m
	height 						= 5.17, -- height in m
	wing_area 					= 91.7, -- wing area in m2
	wing_span 					= 28.96, -- wing spain in m
	wing_type 					= 0,
	wing_tip_pos 				=  {-4.5,	0.5, 14.5}, -- wingtip coords for visual effects
	

--------------------------------------------------------------------------------
---- Primo valore    : avanti/indietro
---- Secondo valore: alto/basso
---- Terzo Valore    : destra/sinistra	

--	nose_gear_pos				= 	{-10.522,	-1.125,	0}, -- nosegear coord 3.769,	-2.353,	0  ----- Ruotino posteriore
--	main_gear_pos 				= 	{0.635,	       -2.350,	2.534}, -- main gear coords 0.072,	-2.374,	2.341	--- carrello principale
	nose_gear_pos				= 	{-10.522,	-1.125,	0}, -- nosegear coord 3.769,	-2.353,	0  ----- Ruotino posteriore
	main_gear_pos 				= 	{0.635,	       -3.350,	2.534}, -- main gear coords 0.072,	-2.374,	2.341	--- carrello principale
	
	tand_gear_max 				= 0.05,  -------- angolo di rotazione del ruotino posteriore
	nose_gear_wheel_diameter 	= 0.793, -- in m
	main_gear_wheel_diameter 	= 1.395, -- in m
	stores_number				=	0,
	V_opt 						= 93,-- Cruise speed (for AI)
	V_take_off 					= 45, -- Take off speed in m/s (for AI)  
	V_land 						= 49, -- Land speed in m/s (for AI)
	V_max_sea_level 			= 100, -- Max speed at sea level in m/s (for AI)
	V_max_h 					= 102, -- Max speed at max altitude in m/s (for AI)
	Vy_max 						= 5.33, -- Max climb speed in m/s (for AI)
	Mach_max 					= 0.3, -- Max speed in Mach (for AI)
	H_max 					 	= 7100, -- m
	Ny_min 						= 0, -- Min G (for AI)
	Ny_max 						= 2.5,  -- Max G (for AI)
	Ny_max_e 					= 0.5,  -- Max G (for AI)
	AOA_take_off 				= 0.14, -- AoA in take off (for AI)
	bank_angle_max 				= 45, -- Max bank angle (for AI)
	average_fuel_consumption 	= 0.0421, -- this is highly relative, but good estimates are 36-40l/min = 28-31kg/min = 0.47-0.52kg/s -- 45l/min = 35kg/min = 0.583kg/s
	range 						= 2414, -- Max range in km (for AI)
	crew_size	                = 2, 
	CAS_min 					= 120, -- if this is not OVERAL FLIGHT TIME, but jus LOITER TIME, than it sholud be 10-15 minutes.....CAS capability in minute (for AI)
	thrust_sum_max 				= 13000,
	thrust_sum_ab 				= 13000,
	has_afteburner 				= false, -- AFB yes/no
	has_speedbrake 				= false, -- Speedbrake yes/no
	tanker_type 				= 0, -- Tanker type if the plane is airrefuel capable
	flaps_maneuver 				= 0.25, -- Max flaps in take-off and maneuver (0.5 = 1st stage; 1.0 = 2nd stage) (for AI)
	brakeshute_name 			= 0, -- Landing - brake chute visual shape after separation
	is_tanker 					= false, -- Tanker yes/no
	air_refuel_receptacle_pos 	= {0, 0, 0}, -- refuel coords
	RCS 						= 50, -- Radar Cross Section m2
	IR_emission_coeff 			= 0.5, -- Normal engine -- IR_emission_coeff = 1 is Su-27 without afterburner. It is reference.
	IR_emission_coeff_ab 		= 0, -- With afterburner
	engines_count				= 2, -- Engines count

------------------------------------------------------------------------------	
-- Fumo scarico motori {x,y,z}
------------------------------------------------------------------------------
	engines_nozzles = 
	{
		[1] = 
		{
				pos = 	{0,	-1.45,	-3.4},
				elevation	=	0,
				diameter	=	0.523,
				exhaust_length_ab	=	11.794,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1,
				engine_number  = 1, --both to first engine
		},
		[2] = 
		{
			pos = 	{0,	-1.45,	3.4},
				elevation	=	0,
				diameter	=	0.523,
				exhaust_length_ab	=	11.794,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1,
				engine_number  = 2, --both to 2nd engine
		},
	}, -- end of engines_nozzles
--------------------------------------------------------------------------------
---- Primo valore    : avanti/indietro
---- Secondo valore: alto/basso
---- Terzo Valore    : destra/sinistra


---------------------------------------------------------------------------------
--  equipaggio
---------------------------------------------------------------------------------

	crew_size	 = 2,
	crew_members = 
	{
			[1] = 
			{	pilot_name          = "pilot_p51", --pilot
				ejection_seat_name	=	0,
				drop_canopy_name	=	0,
				pos = 	{3.3,	0.25,	-0.65},
			}, -- end of [1]
			[2] = 
			{	pilot_name          = "pilot_p51", --copilot
				ejection_seat_name	=	0,
				drop_canopy_name	=	0,
				pos = 	{3.3,	0.25,	0.65},
			}, -- end of [2]
			
	}, -- end of crew_members
	
	fires_pos = 
	{
		[1] = 	{-2.75, 0.25, 0.25},
		[2] = 	{-0.4, -0.75, 1.4},
		[3] = 	{-1.75, -0.75, -1.4},
		[4] = 	{1.4, -0.4, 2.8},
		[5] = 	{1.55, -0.4, -2.8},
		[6] = 	{3.45, -0.75, 2.4},
		[7] = 	{-2.1, -0.8, -3.5},
		[8] = 	{-10.3, 0.3, -0.25},
	}, -- end of fires_pos
	
	-- Countermeasures
	SingleChargeTotal	 	= 0,
	CMDS_Incrementation 	= 0,
	ChaffDefault 			= 0, 
	ChaffChargeSize 		= 0,
	FlareDefault 			= 0, 
	FlareChargeSize 		= 0,
	CMDS_Edit 				= false,
	chaff_flare_dispenser 	= 
	{
	}, -- end of chaff_flare_dispenser

	--sensors
	
	detection_range_max		 = 60,
	radar_can_see_ground 	 = false, -- this should be examined (what is this exactly?)
	CanopyGeometry = 
	{
		azimuth   = {-160.0, 160.0}, -- pilot view horizontal (AI)
		elevation = {-50.0, 90.0} -- pilot view vertical (AI)
	},
	Sensors = 
	{
	},
	HumanRadio = 
	{
		frequency = 127.5,  -- Radio Freq
		editable = true,
		minFrequency = 100.000,
		maxFrequency = 156.000,
		modulation = MODULATION_AM
	},

	Guns = 
	{
	},

	Pylons = 
    {
    },
	
	

-----------------------------------------------------------------------------------	

-----------------------------------------------------------------------------------	

	Tasks = 
	{
		aircraft_task(Transport),
    },	
	DefaultTask = aircraft_task(Transport),

	SFM_Data = {
		aerodynamics = -- Cx = Cx_0 + Cy^2*B2 +Cy^4*B4
		{
			Cy0			=	0,  -- zero AoA lift coefficient
			Mzalfa		=	2.355,  -- coefficients for pitch agility
			Mzalfadt	=	0.6,    -- coefficients for pitch agility
			kjx			=	1.85,    
			kjz			=	0.00125, 
			Czbe		=	-0.016, -- coefficient, along Z axis (perpendicular), affects yaw, negative value means force orientation in FC coordinate system
			cx_gear		=	0.035,    -- coefficient, drag, gear
			cx_flap		=	0.1,   -- coefficient, drag, full flaps
			cy_flap		=	0.45,    -- coefficient, normal force, lift, flaps
			cx_brk		=	0.06,   -- coefficient, drag, breaks
			table_data  = 
			{
			--   M		Cx0		Cya		B		B4		Omxmax	Aldop	Cymax
				{0,		0.034,	0.06,	0.0426,	1e-006,	0.5,	25,	1.1},
				{0.1,	0.035,	0.06,	0.0426,	1e-006,	0.8,	25,	1.2},
				{0.2,	0.038,	0.06,	0.0426,	1e-006,	1.0,	25,	1.2},
				{0.3,	0.039,	0.06,	0.0426,	1e-006,	1.6,	22,	1.2},
				{0.4,	0.041,	0.06,	0.0426,	1e-006,	1,		20,	1.1},
				{0.5,	0.042,	0.06,	0.0426,	1e-006,	0.9,	15,	0.9},
				{0.6,	0.044,	0.06,	0.044,	1e-006,	0.5,	12,	0.9},
				{0.7,	0.055,	0.06,	0.045,	0.02,	0.1,	10,	0.8},
				{0.8,	0.079,	0.06,	0.049,	0.05,	0.03,	9,	0.7},
				{0.9,	0.09,	0.06,	0.071,	0.07,	0.02,	8,	0.6},
				{1,		0.14,	0.06,	0.138,	0.2,	0.01,	7,	0.5},
			}, -- end of table_data
			-- M - Mach number
			-- Cx0 - Coefficient, drag, profile, of the airplane
			-- Cya - Normal force coefficient of the wing and body of the aircraft in the normal direction to that of flight. Inversely proportional to the available G-loading at any Mach value. (lower the Cya value, higher G available) per 1 degree AOA
			-- B - Polar quad coeff
			-- B4 - Polar 4th power coeff
			-- Omxmax - roll rate, rad/s
			-- Aldop - Alfadop Max AOA at current M - departure threshold
			-- Cymax - Coefficient, lift, maximum possible (ignores other calculations if current Cy > Cymax)
		}, -- end of aerodynamics
		engine = 
		{
			Nmg	=	700, -- RPM at idle
			MinRUD	=	0, -- Min state of the throttle
			MaxRUD	=	1, -- Max state of the throttle
			MaksRUD	=	1, -- Military power state of the throttle
			ForsRUD	=	1, -- Afterburner state of the throttle
			typeng	=	2,
			--	E_TURBOJET = 0
			--	E_TURBOJET_AB = 1
			--	E_PISTON = 2
			--	E_TURBOPROP = 3
			--	E_TURBOFAN	= 4
			--	E_TURBOSHAFT = 5
			hMaxEng	=	10.5, -- Max altitude for safe engine operation in km
			dcx_eng	=	0.015, -- Engine drag coeficient
			cemax	=	1.24, -- not used for fuel calulation , only for AI routines to check flight time ( fuel calculation algorithm is built in )
			cefor	=	2.56, -- not used for fuel calulation , only for AI routines to check flight time ( fuel calculation algorithm is built in )
			dpdh_m	=	4820, --  altitude coefficient for max thrust
			dpdh_f	=	4820, --  altitude coefficient for AB thrust
			table_data = 
			{
				[1] = 	{0,		24395.9,	24395.9},
				[2] = 	{0.1,	23043.8,	23043.8},
				[3] = 	{0.2,	22765.6,	22765.6},
				[4] = 	{0.3,	21900.8,	21900.8},
				[5] = 	{0.4,	19773.3,	19773.3},
				[6] = 	{0.5,	18854.2,	18854.2},
				[7] = 	{0.6,	16229.2,	16229.2},
				[8] = 	{0.7,	13312.3,	13312.3},
				[9] = 	{0.8,	10719.3,	10719.3},
				[10] = 	{0.9,	6650,	6650},
			},			
--[[			{
			--   M		Pmax		 Pfor	
				{0,		608000,	608000},
				{0.1,	568000,	568000},
				{0.2,	520000,	520000},
				{0.3,	484000,	484000},
				{0.4,	440000,	440000},
				{0.5,	418000,	418000},
				{0.6,	410000,	410000},
				{0.7,	436000,	436000},
				{0.798,	470000,	470000},
				{0.9,	524000,	524000},
				{1,		560000,	560000},
			}, -- end of table_data
--]]			
			-- M - Mach number
			-- Pmax - Engine thrust at military power
			-- Pfor - Engine thrust at AFB
			k_adiab_1			= 0.037923,
			k_adiab_2			= 0.0562,
			MAX_Manifold_P_1	= 155774,
			MAX_Manifold_P_2	= 206570,
			MAX_Manifold_P_3	= 226648,
			k_after_cool		= 0.54,
			Displ				= 27,
			k_Eps				= 6,
			Stroke				= 0.152,
			V_pist_0			= 12,
			Nu_0				= 15.0,
			Nu_1				= 2.4,
			Nu_2				= 0.001,
			N_indic_0			= 1023040,
			N_fr_0				= 0.072,
			N_fr_1				= 0.02,
			Init_Mom			= 220,
			D_prop				= 3.45,
			MOI_prop			= 65,
			k_gearbox			= 2.088,
			P_oil				= 495438,
			k_boost				= 3,
			k_cfug				= 0.003,
			k_oil				= 0.00004,
			k_piston			= 3000,
			k_reg				= 0.003,
			k_vel				= 0.017,
		}, -- end of engine
	}, -- end of SFM_Data

	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	
----------------------------------------------------------------------------------------------------
---  Damage Section
-----------------------------------------------------------------------------------------------------	
Damage = {
	[0]  		= {critical_damage = 15,droppable=false}, --nose
	[1]			= {critical_damage = 15,droppable=false}, -- nose left
	[2]			= {critical_damage = 15,droppable=false}, -- nose right
	[3]			= {critical_damage = 10}, -- cockpit 
 	[4]			= {critical_damage = 15, args = {154},droppable=false},-- cabin left*
	[5]			= {critical_damage = 15, args = {153},droppable=false},-- cabin right*
	[6]			= {critical_damage = 15,droppable=false}, -- cabin bottom
	[9]		 	= {critical_damage = 15, args = {154},droppable=false}, -- fuselage left
	[10]		= {critical_damage = 15, args = {153},droppable=false}, -- fuselage right		
	[11]		= {critical_damage = 8, args = {431,167}},  -- Engine 1 count from left
	[12]		= {critical_damage = 8, args = {430,161}},  -- Engine 2 count from left
	[13]		= {critical_damage = 2},  -- Engine 1 nacelle bottom count from left
	[14]		= {critical_damage = 2},  -- Engine 2 nacelle bottom count from left
	[17]		= {critical_damage = 2},  -- Engine 1 nacelle count from left
	[18]		= {critical_damage = 2},  -- Engine 2 nacelle count from left	
	[23]		= {critical_damage = 20, args = {225}, deps_cells = {25}}, -- wing out left
	[24]		= {critical_damage = 20, args = {215}, deps_cells = {26}},-- wing out right
	[25]		= {critical_damage = 2}, -- eleron left 
	[26]		= {critical_damage = 2}, -- eleron right 
	
	[29]		= {critical_damage = 20, args = {225}, deps_cells = {23, 35, 37}}, -- wing center left 
 	[30]		= {critical_damage = 20, args = {215}, deps_cells = {24, 36, 38}},-- wing center right 
	[35]		= {critical_damage = 20, args = {225}}, -- wing in left* 
	[36]		= {critical_damage = 20, args = {215}}, -- wing in right* 	
	[37]		= {critical_damage = 2}, -- flap in left 
	[38]		= {critical_damage = 2},-- flap in right
 	
	[39]		= {critical_damage = 5,droppable=false}, -- fin top left
	[40]		= {critical_damage = 5,droppable=false}, --fin top right
	[41]		= {critical_damage = 5,droppable=false}, --fin centre left		
	[42] 		= {critical_damage = 5,droppable=false}, --fin centre right	
	[43]		= {critical_damage = 5, args = {243},droppable=false}, -- Vertical stabilizer* fin bottom left
	[44] 		= {critical_damage = 5,droppable=false}, --fin bottom right
	[45]		= {critical_damage = 5, args = {236},droppable=false}, -- stabilizer out left
	[46]		= {critical_damage = 5, args = {234},droppable=false}, -- stabilizer out right
	[47]		= {critical_damage = 5, args = {236},droppable=false}, -- stabilizer in left*
	[48]		= {critical_damage = 5, args = {234},droppable=false}, -- stabilizer in right*
	[49]		= {critical_damage = 2, args = {236},droppable=false},-- elevator out left
	[50]		= {critical_damage = 2, args = {234},droppable=false},-- elevator out right
	[53]		= {critical_damage = 5, args = {247}, deps_cells = {54},droppable=false}, -- rudder left*
	[54]		= {critical_damage = 5, args = {247}, deps_cells = {53},droppable=false}, -- rudder right*
	[55] 		= {critical_damage = 35,args = {81}, deps_cells = {39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50}},--- coda *
	[56]		= {critical_damage = 20,args = {158},droppable=false}, -- - coda a sinistra *
	[57] 		= {critical_damage = 20,args = {157},droppable=false}, -- - coda destra *
	[58] 		= {critical_damage = 20,droppable=false}, --tail bottom
	[59]		= {critical_damage = 15,droppable=false}, -- nose bottom 	
	[82]		= {critical_damage = 20,droppable=false},-- fuselage bottom
	[61]		= {critical_damage = 6}, -- fuel tank left
	[62] 		= {critical_damage = 6}, -- fuel tank right
	},
	DamageParts = 
	{  
		[1] = "dc3-oblomok-wing_r.edm",
		[2] = "dc3-oblomok-wing_l.edm",
		[3] = "DC3-oblomok-tail.edm",
		
		
	},

	lights_data = {	typename = "collection", lights = {
    [1] = {typename = "collection",lights = {}},
	[2] = {typename = "collection",
			lights = {-- Landing light
					  {typename = "spotlight",
					   connector = "MAIN_SPOT_PTR_02",
					   argument = 209,
					   dir_correction = {elevation = math.rad(-1)}
					  },
					  {-- Landing/Taxi light
					   typename = "spotlight",
					   connector = "MAIN_SPOT_PTR_01",
					   argument = 208,
					   dir_correction = {elevation = math.rad(3)}
					  }
					 }
			},
    [3]	= {typename = "collection",
			lights = {-- Left Position Light (red)
					  {typename = "omnilight",
					   connector = "BANO_1",
					   color = {0.99, 0.11, 0.3},
					   pos_correction  = {0, 0, -0.2},
					   argument  = 190
					  },
					  -- Right Position Light (green)
					  {typename = "omnilight",
					   connector = "BANO_2",
					   color = {0, 0.894, 0.6},
					   pos_correction = {0, 0, 0.2},
					   argument  = 191
					   },
					  -- Tail Position Light (white)
					  {typename = "omnilight",
					  connector = "BANO_0",
					  color = {1, 1, 1},
					  pos_correction  = {0, 0, 0},
					  argument  = 192
					  }}
			},
    [4] = {typename = "collection",lights = {}},
	[5]	= {typename = "collection",lights = {}},
	}}, -- end lights_data

}

add_aircraft(DC3)
